# Makefile for libwww - te@informatik.uni-hannover.de

ac_include ../make/common.make
ac_include ../make/programs.make

RANLIB=@RANLIB@
AR=ar

OBJS = HTParse.o HTAccess.o HTProxy.o HTMethod.o HTProt.o HTCache.o \
       HTReqMan.o HTDNS.o HTArray.o HTFile.o HTBTree.o HTMulti.o HTFTP.o \
       HTTCP.o SGML.o HTML.o HTMLPDTD.o HTDir.o HTFTPDir.o HTEPtoCl.o \
       HTStyle.o HTPlain.o HTWriter.o HTFWrite.o HTMLGen.o HTTee.o \
       HTXParse.o HTChunk.o HTAtom.o HTAnchor.o HTList.o HTString.o \
       HTAlert.o HTFormat.o HTHist.o HTMemory.o HTInit.o HTBInit.o \
       HTRules.o HTMIME.o HTMIMERq.o HTBound.o HTConLen.o HTHeader.o \
       HTBind.o HTGopher.o HTTelnet.o HTNetTxt.o HTNews.o HTWSRC.o \
       HTSocket.o HTAAUtil.o HTAABrow.o HTAssoc.o HTUU.o HTTeXGen.o \
       HTEscape.o HTDescpt.o HTGuess.o HTWWWStr.o HTIcons.o HTError.o \
       HTLog.o HTHome.o HTDialog.o HTNDir.o HTTP.o HTTPServ.o HTNewsRq.o \
       HTTPGen.o HTTPReq.o HTTPRes.o HTNet.o HTNewsLs.o \
       HTUser.o HTMIMPrs.o HTEvent.o HTMux.o HTStream.o HTTrans.o \
       HTChannl.o HTInet.o HTHost.o HTLocal.o HTReader.o HTANSI.o \
       HTBufWrt.o HTTChunk.o HTHInit.o HTMIMImp.o HTSChunk.o HTLib.o \
       HTLink.o HTFilter.o HTUTree.o HTPEP.o HTProfil.o HTMerge.o \
       HTResponse.o HTDemux.o HTEvtLst.o HTMemLog.o HTMuxCh.o HTMuxTx.o \
       HTTimer.o HTTrace.o


# only make libwww.a is explicitly asked for (e.g. by being called from
# ../xdvi)
default all install install-data install-exec uninstall uninstall-exec uninstall-data info dvi check depend:

libwww.a: $(OBJS)
	$(AR) rc $@  $(OBJS)
	$(RANLIB) $@

mostlyclean clean:
	rm -f *.o libwww.a

distclean realclean extraclean configclean: clean
	rm -f config.status config.log Makefile config.cache config.h stamp-h

# DO NOT DELETE THIS LINE -- make depend depends on it.
